%define major   8
%define libname %mklibname ksba %{major}

Summary:        Library handling X.509 certificates and CMS data
Name:           libksba
Version:        1.0.0
Release:        %mkrel 1
License:        GPL
Group:          System/Libraries
URL:            http://www.gnupg.org/
Source0:        ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:        ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:  libgpg-error-devel >= 1.2
%if %mdkversion >= 1020
BuildRequires:  multiarch-utils >= 1.0.3
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{libname}
Summary:        Library handling X.509 certificates and CMS data
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{libname}-devel
Summary:        Development files for %{name} package
Group:          Development/Other
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

This package contains files needed to develop
applications using %{name} (For example Ägypten project).

%prep
%setup -q

%build
%{configure2_5x}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/ksba-config
%endif

%check
%{__make} check

%clean
%{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info %{name}.info

%postun -n %{libname}-devel
%_remove_install_info %{name}.info

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog README THANKS TODO
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/ksba-config
%endif
%{_bindir}/ksba-config
%{_datadir}/aclocal/*
%{_includedir}/*.h
%{_infodir}/*.info*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Thu Nov 16 2006 David Walluck <walluck@mandriva.org> 1.0.0-1mdv2007.0
+ Revision: 84690
- 1.0.0
- Import libksba



* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.15-1mdv2007.0
- updated to version 0.9.15
- %%mkrel

* Fri Dec  2 2005 Andreas Hasenack <andreas@mandriva.com> 0.9.13-1mdk
- updated to version 0.9.13
- dropping automake17 buildrequirement, seems to build fine with 1.9

* Mon Sep 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.11-2mdk
- rebuild

* Wed May 18 2005 Arnaud de Lorbeau <adelorbeau@mandriva.com> 0.9.11-1mdk
- 0.9.11

* Fri Apr 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.10-2mdk
- fix deps and conditional %%multiarch
- requires-on-release

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrakesoft.com> 0.9.10-1mdk
- New release 0.9.10

* Thu Aug 19 2004 Abel Cheung <deaddog@deaddog.org> 0.9.8-1mdk
- New version
- P1: Fix parallel build

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.9.6-1mdk
- New version
- Patch0: automake 1.8 compatibility

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.9.1-1mdk
- New version

* Wed Dec 10 2003 Abel Cheung <deaddog@deaddog.org> 0.9.0-1mdk
- New version
- Use official tar.gz instead, for proving legitimacy

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.4.7-1mdk
- 0.4.7
- make check

* Fri Sep 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.4.6-3mdk
- proper lib policy
- doc files

* Thu Jul 31 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4.6-2mdk
- rebuild
- macroize
- bzip2 source

* Wed Dec 11 2002 Fabrice MARIE <fabrice-marie-sec@ifrance.com> 0.4.6-1mdk
- update to version 0.4.6

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.5-1mdk
- First package
